Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get a customer group product variant price

Returns a single customer group product variant price by its ID.

GET/api/v1/{team_slug}/{app_slug}/customer-group-prices/{customer_group_price_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

customer_group_price_idstringrequired

Customer group price ID

Responses
200

Price

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupProductVariantPricerequired
Show properties
created_atstring
customer_groupgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupRef
Show properties
idstring
namestring
slugstring
idstring
marketgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceMarket
Show properties
idstring
namestring
slugstring
price_amountinteger
product_variantgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceVariantRef
Show properties
idstring
variant_namestring
updated_atstring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

Not found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/customer-group-prices/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "created_at": "string",
    "customer_group": {
      "id": "string",
      "name": "string",
      "slug": "string"
    },
    "id": "string",
    "market": {
      "id": "string",
      "name": "string",
      "slug": "string"
    },
    "price_amount": 0,
    "product_variant": {
      "id": "string",
      "variant_name": "string"
    },
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}